////////////////////////////////////////////
//
//      UNPACKED SPRITES MODULE
//      For AGS 3.2.1+
//
//      Authors : The 'Indiana Jones and the Seven Cities of Gold' team
//                (contact: 'Monsieur Ouxx' on the AGS forums)
//
//      Dependencies : none
//      License : GPL. In a nutshell: Just credit us and you can do whatever you want.
//
//      HOW TO USE
//      The use is not detailed here. You should have found this module
//      bundled with another module; it's meant to be used by that module.
//
//////////////////////////////////////////////////////


import float unpacked[];




struct UnpackedSprites
{
  //Takes a DynamicSprite and "unpacks" it as an array of 'float', row by row
  //Each pixel of the sprite takes 3 floats (R,G,B).
  //A pixel with color COLOR_TRANSPARENT becomes (-1.0,-1.0,-1.0)
  //The function returns the index of the first cell occupied by the sprite within "unpacked[]"
  //If 'flip' is true, then the sprite will be unpacked flipped horizontally
  import static int Unpack(DynamicSprite* spr,  bool flip=false);


  //deletes unpacked[] and resets all related variables
  import static void DeleteAll();
  
};
